Subject: Re: [net-next 2/2] macvlan: Enable qdisc backoff logic.

From: Ben Greear <[email-masked]>
Date: Wed, 25 Aug 2010 13:49:22 -0700

On 08/25/2010 12:59 PM, Arnd Bergmann wrote:
> On Wednesday 25 August 2010 21:27:43 Ben Greear wrote:
>>> I suppose we need to do something in macvtap to handle this as
>>> well, right? A guest trying to send a frame through qemu
>>> or vhost net into macvtap needs to be prevented from sending
>>> more when we get into this path. Right now, we just ignore
>>> the return value of macvlan_start_xmit.
>>
>> I have a similar, though slightly more complex, patch for 802.1q
>> vlans, but I haven't looked at macvtap at all.
>>
>> If these two patches are accepted, I'll post the .1q patch as well.
>
> I think one of us needs to fix macvtap in order for your patch to
> go in, because otherwise there is a memory leak or worse when
> macvtap fails to retransmit the frame.

With no change, the try_ logic will not be called, so it should
be fully backwards compatible.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com